//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "VaClasses.hpp"
#include "VaComm.hpp"
#include <ComCtrls.hpp>
#include <Buttons.hpp>
#include <XPMan.hpp>
#include "cxButtons.hpp"
#include "cxLookAndFeelPainters.hpp"
#include <Menus.hpp>

#define CM_APPSTART WM_USER+68521

//---------------------------------------------------------------------------
class TFrmMain : public TForm
{
__published:	// IDE-managed Components
	TVaComm *VaComm;
	TXPManifest *XPManifest1;
	TButton *BtnExit;
	TButton *BtnAllOff;
	void __fastcall BtnExitClick(TObject *Sender);
	void __fastcall SpeedButtonClick(TObject *Sender);
	void __fastcall FormKeyPress(TObject *Sender, char &Key);
	void __fastcall BtnAllOffClick(TObject *Sender);
private:	// User declarations
	void __fastcall CreateIniFile();
  int buttonCount;
	TcxButton* SBp[25];
	void __fastcall ArrangeButtons();
	char MenuChar;
	
public:		// User declarations
	__fastcall TFrmMain(TComponent* Owner);
  void __fastcall AppStart( TMessage &Message );
  BEGIN_MESSAGE_MAP
    VCL_MESSAGE_HANDLER(CM_APPSTART, TMessage, AppStart);
  END_MESSAGE_MAP( TForm );};
//---------------------------------------------------------------------------
extern PACKAGE TFrmMain *FrmMain;
//---------------------------------------------------------------------------
#endif
